# $Revision: 1.14 $, $Date: 2004/12/26 17:50:20 $
%define		module	satine
%define		_beta	beta-1
Summary:	Satine - XML data binding for Python
Summary(pl):	Satine - obsuga danych XML dla Pythona
Name:		python-%{module}
Version:	1.0
Release:	0.beta.4
License:	GPL
Group:		Libraries/Python
# Source0-md5:	18a153cc9ed3cd45416d8461911029a2
Source0:	http://dl.sourceforge.net/satine/Satine-%{version}_%{_beta}.zip
URL:		http://satine.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Satine is a Python library that makes XML management easy and
complete. Satine converts XML documents to Python lists with
attributes (xlist). This technology allows to:
- translate documents with namespaces, both in elements and attributes
- translate both documents without XMLSchema and documents with it. If
  the XMLSchema is available, the document can be easily validated.
- random and partial access to XML documents
- work very fast. The data binding technology is coded in C.

%description -l pl
Satine to biblioteka Pythona czynica zarzdzanie XML-em atwym i
penym. Satine konwertuje dokumenty XML na pythonowe listy z
atrybutami (xlist). Technologia ta pozwala na:
- tumaczenie dokumentw z przestrzeniami nazw, zarwno w elementach
  jak i atrybutach
- tumaczenie dokumentw zarwno bez XMLSchema jak i z. Jeli
  XMLSchema jest dostpny, dokument moe by atwo sprawdzony pod
  ktem poprawnoci.
- swobodny i czciowy dostp do dokumentw XML
- bardzo szybkie dziaanie. Technologia obsugi danych jest
  oprogramowana w C.

%prep
%setup -q -n Satine-%{version}_%{_beta}

%build
#python config_unix.py \
#	--prefix %{_prefix}
python setup.py config
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

mv examples $RPM_BUILD_ROOT%{_examplesdir}/%name
	
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGE doc/*
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/satine/*.so
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/test
%{py_sitedir}/%{module}/test/*.py[co]
%dir %{py_sitedir}/%{module}/schemas
%{py_sitedir}/%{module}/schemas/*.py[co]
%dir %{py_sitedir}/%{module}/grapes
%{py_sitedir}/%{module}/grapes/*.py[co]
%dir %{_examplesdir}/%name
%{_examplesdir}/%name/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-satine.spec,v $
Revision 1.14  2004/12/26 17:50:20  saq
- strict python deps, release 3

Revision 1.13  2004/12/16 02:23:03  zbyniu
- BR: unzip

Revision 1.12  2004/08/19 10:52:21  undefine
- release 3

Revision 1.11  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.9  2003/12/02 00:05:35  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.8  2003/10/28 19:33:28  leafnode
- moved examples to proper place
- renamed package to python-satine (classes are named satine, spec is named
  satine, so why the heck package should be called Satine?)

Revision 1.7  2003/10/28 19:13:07  qboosh
- descriptions

Revision 1.6  2003/06/06 20:23:20  qboosh
- missing dirs

Revision 1.5  2003/06/04 12:04:24  djrzulf
- added missed files

Revision 1.4  2003/06/04 11:55:11  djrzulf
- maybe separate package with examples ?,

Revision 1.3  2003/06/04 11:50:56  djrzulf
- make it build

Revision 1.2  2003/06/04 11:30:17  qboosh
- fixed Source0 URL

Revision 1.1  2003/06/04 11:06:12  djrzulf
- initial, NFY,
